> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/inquirypriceinstancetrafficpackage.md).

# InquiryPriceInstanceTrafficPackage

## 1. API Description

This API (InquiryPriceInstanceTrafficPackage) is used to query the price of modified virtual machine instance data transfer package.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Use this API only when</mark> [<mark style="color:purple;">`internetChargeType`</mark>](/api-reference/compute/vm/datastructure.md#internetchargetype) <mark style="color:blue;">is</mark> <mark style="color:blue;">`ByTrafficPackage`</mark><mark style="color:blue;">.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type   | Description                                                                                                                      |
| ------------------ | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------- |
| instanceId         | Yes      | String | <p>Instance ID(s).</p><p>To obtain the instance IDs, you can call DescribeInstances and look for instanceId in the response.</p> |
| trafficPackageSize | Yes      | Float  | <p>Size of data transfer package.</p><p>Value range: \[0.0, +)</p>                                                               |

## 3. Output Parameters

| Parameter Name      | Type                                                                       | Description                                                                                                                                                    |
| ------------------- | -------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId           | String                                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                          |
| trafficPackagePrice | Array of [PriceItem](/api-reference/compute/vm/datastructure.md#priceitem) | <p>Price of traffic package.</p><p>Kinds of prices may exist. For example, traffic package billing method may contain the package price and overage price.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of modified instance traffic package。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceTrafficPackage
<Common Request Params>

Request：
{
  "instanceId": "instanceId",
  "trafficPackageSize": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "trafficPackagePrice": [
      {
        "discount": 95.0,
        "discountPrice": 7524.0,
        "originalPrice": 7920.0,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": null
      },
      {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": [
          {
            "stepStart": 0.0,
            "stepEnd": null,
            "unitPrice": 0.08,
            "discountUnitPrice": 0.08
          }
        ]
      }
    ]
  }
} 
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/inquirypriceinstancetrafficpackage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
